try{
	// 创建moudle1
	myAngular = angular.module('app', []);
	//创建控制器
	myAngular.controller("myController",function($scope,$http){});
	//解析html
	myAngular.filter('html',function ($sce) {  
			return function (text) {  
				return $sce.trustAsHtml(text);  
			}  
		}
	)
	//价格过滤器(保留两位小数)
	myAngular.filter('price', function(){
		return function(x) {
			var f_x = parseFloat(x);
			var f_x = Math.round(x * 100) / 100;
			var s_x = f_x.toString();
			var pos_decimal = s_x.indexOf('.');
			if (pos_decimal < 0) {
				pos_decimal = s_x.length;
				s_x += '.';
			}
			while (s_x.length <= pos_decimal + 2) {
				s_x += '0';
			}
			return s_x;
		}
	});
	
	
	//日期过滤器
	myAngular.filter('date_str', function(){
		return function(x) {
			x=x*1000;
			var myDate=new Date(x);
			var Y=myDate.getFullYear();
			var m=myDate.getMonth()+1;
			var d=myDate.getDate();
			var H=myDate.getHours();
			var i=myDate.getMinutes();
			var s=myDate.getSeconds();
			return arguments[1].replace('Y',Y).replace('m',m).replace('d',d).replace('H',H).replace('i',i).replace('s',s); 

		}
	});
	
	// 页面加载完成后,再加载模块
	angular.element(document).ready(function() {
		$(".ng_hide").removeClass('ng_hide');
		angular.bootstrap($('html'),["app"]);
		scope = angular.element($("body")).scope();
	});
}catch(e){}
